Skip to main content
`Ctrl`+`K`

# numpy.sort_complex

numpy.sort_complex(a)

  Sort a complex array using the real part first, then the imaginary part.

  Parameters:
    a array_like

      Input array

  Returns:
    out complex ndarray

      Always returns a sorted complex array.

  Examples

      >>> import numpy as np
      >>> np.sort_complex([5, 3, 6, 2, 1])
      array([1.+0.j, 2.+0.j, 3.+0.j, 5.+0.j, 6.+0.j])

      >>> np.sort_complex([1 + 2j, 2 - 1j, 3 - 2j, 3 - 3j, 3 + 5j])
      array([1.+2.j,  2.-1.j,  3.-3.j,  3.-2.j,  3.+5.j])